# PTimerList Class Reference

`#include <pprocess.h>`

Inheritance diagram for PTimerList:

List of all members.

## Public Member Functions

| PTimerList ()
PTimeInterval | Process ()
PTimer::IDType | GetNewTimerId () const
void | QueueRequest (RequestType::Action action, PTimer *timer, bool isSync=true)
void | ProcessTimerQueue ()

## Classes

class | RequestType

## Constructor & Destructor Documentation

PTimerList::PTimerList | ( |  | ) |

## Member Function Documentation

PTimer::IDType PTimerList::GetNewTimerId | ( |  | ) | const`[inline]`

PTimeInterval PTimerList::Process | ( |  | ) |

void PTimerList::ProcessTimerQueue | ( |  | ) |

void PTimerList::QueueRequest | ( | RequestType::Action | action,
|  | PTimer * | timer,
|  | bool | isSync = `true` |
| ) |  |  |

The documentation for this class was generated from the following file:

- pprocess.h